## org.eclipse.emf.mapping.presentation
Class MappingEditor.OverviewDecoratorAdapterFactory

    java.lang.Object
      org.eclipse.emf.edit.provider.DecoratorAdapterFactory
          org.eclipse.emf.mapping.presentation.MappingEditor.MyDecoratorAdapterFactory
              org.eclipse.emf.mapping.presentation.MappingEditor.OverviewDecoratorAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

Enclosing class:
  MappingEditor

    protected class MappingEditor.OverviewDecoratorAdapterFactory

extends MappingEditor.MyDecoratorAdapterFactory

Field Summary

Fields inherited from class org.eclipse.emf.mapping.presentation.MappingEditor.MyDecoratorAdapterFactory
`action, exclude, listeningItemProviderDecorators, multipleColumnsAction`

Fields inherited from class org.eclipse.emf.edit.provider.DecoratorAdapterFactory
`changeNotifier, decoratedAdapterFactory, itemProviderDecorators, parentAdapterFactory`

Constructor Summary
`MappingEditor.OverviewDecoratorAdapterFactory(AdapterFactory adapterFactory, Action action, boolean exclude, Action multipleColumnsAction)`

Method Summary
`protected void` `doMappedObjectRefresh(java.lang.Object object)`
`void` `fireNotifyChanged(Notification note)` This calls `notifyChanged` for each listener.
`java.util.List<?>` `getPrimaryMappedObjects(Mapping mapping)`
`java.util.List<?>` `getSecondaryMappedObjects(Mapping mapping)`

Methods inherited from class org.eclipse.emf.mapping.presentation.MappingEditor.MyDecoratorAdapterFactory
`adapt, createItemProviderDecorator, doMappingRefresh, isFactoryForType`

Methods inherited from class org.eclipse.emf.edit.provider.DecoratorAdapterFactory
`adapt, adaptAllNew, adaptNew, addListener, dispose, getDecoratedAdapterFactory, getRootAdapterFactory, removeListener, setDecoratedAdapterFactory, setParentAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingEditor.OverviewDecoratorAdapterFactory

    public MappingEditor.OverviewDecoratorAdapterFactory(AdapterFactory adapterFactory,
                                                         Action action,
                                                         boolean exclude,
                                                         Action multipleColumnsAction)

Method Detail

### fireNotifyChanged

    public void fireNotifyChanged(Notification note)

  Description copied from interface: `IChangeNotifier`
  This calls `notifyChanged` for each listener.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`
  Overrides:
    `fireNotifyChanged` in class `MappingEditor.MyDecoratorAdapterFactory`

### getPrimaryMappedObjects

    public java.util.List<?> getPrimaryMappedObjects(Mapping mapping)

  Overrides:
    `getPrimaryMappedObjects` in class `MappingEditor.MyDecoratorAdapterFactory`

### getSecondaryMappedObjects

    public java.util.List<?> getSecondaryMappedObjects(Mapping mapping)

  Overrides:
    `getSecondaryMappedObjects` in class `MappingEditor.MyDecoratorAdapterFactory`

### doMappedObjectRefresh

    protected void doMappedObjectRefresh(java.lang.Object object)

  Overrides:
    `doMappedObjectRefresh` in class `MappingEditor.MyDecoratorAdapterFactory`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.